/**
 * @name html-entities-not-email-friendly
 * @fileoverview All HTML entities which are not email template friendly
 * @version 0.7.5
 * @author Roy Revelt, Codsen Ltd
 * @license MIT
 * {@link https://codsen.com/os/html-entities-not-email-friendly/}
 */

var r={AMP:"amp",Abreve:"#x102",Acy:"#x410",Afr:"#x1D504",Amacr:"#x100",And:"#x2A53",Aogon:"#x104",Aopf:"#x1D538",ApplyFunction:"#x2061",Ascr:"#x1D49C",Assign:"#x2254",Backslash:"#x2216",Barv:"#x2AE7",Barwed:"#x2306",Bcy:"#x411",Because:"#x2235",Bernoullis:"#x212C",Bfr:"#x1D505",Bopf:"#x1D539",Breve:"#x2D8",Bscr:"#x212C",Bumpeq:"#x224E",CHcy:"#x427",COPY:"copy",Cacute:"#x106",Cap:"#x22D2",CapitalDifferentialD:"#x2145",Cayleys:"#x212D",Ccaron:"#x10C",Ccirc:"#x108",Cconint:"#x2230",Cdot:"#x10A",Cedilla:"cedil",CenterDot:"middot",Cfr:"#x212D",CircleDot:"#x2299",CircleMinus:"#x2296",CirclePlus:"oplus",CircleTimes:"otimes",ClockwiseContourIntegral:"#x2232",CloseCurlyDoubleQuote:"rdquo",CloseCurlyQuote:"rsquo",Colon:"#x2237",Colone:"#x2A74",Congruent:"equiv",Conint:"#x222F",ContourIntegral:"#x222E",Copf:"#x2102",Coproduct:"#x2210",CounterClockwiseContourIntegral:"#x2233",Cross:"#x2A2F",Cscr:"#x1D49E",Cup:"#x22D3",CupCap:"#x224D",DD:"#x2145",DDotrahd:"#x2911",DJcy:"#x402",DScy:"#x405",DZcy:"#x40F",Darr:"#x21A1",Dashv:"#x2AE4",Dcaron:"#x10E",Dcy:"#x414",Del:"#x2207",Dfr:"#x1D507",DiacriticalAcute:"acute",DiacriticalDot:"#x2D9",DiacriticalDoubleAcute:"#x2DD",DiacriticalGrave:"#x60",DiacriticalTilde:"tilde",Diamond:"#x22C4",DifferentialD:"#x2146",Dopf:"#x1D53B",Dot:"#xA8",DotDot:"#x20DC",DotEqual:"#x2250",DoubleContourIntegral:"#x222F",DoubleDot:"#xA8",DoubleDownArrow:"dArr",DoubleLeftArrow:"lArr",DoubleLeftRightArrow:"#x21D4",DoubleLeftTee:"#x2AE4",DoubleLongLeftArrow:"#x27F8",DoubleLongLeftRightArrow:"#x27FA",DoubleLongRightArrow:"#x27F9",DoubleRightArrow:"rArr",DoubleRightTee:"#x22A8",DoubleUpArrow:"uArr",DoubleUpDownArrow:"#x21D5",DoubleVerticalBar:"#x2225",DownArrow:"darr",DownArrowBar:"#x2913",DownArrowUpArrow:"#x21F5",DownBreve:"#x311",DownLeftRightVector:"#x2950",DownLeftTeeVector:"#x295E",DownLeftVector:"#x21BD",DownLeftVectorBar:"#x2956",DownRightTeeVector:"#x295F",DownRightVector:"#x21C1",DownRightVectorBar:"#x2957",DownTee:"#x22A4",DownTeeArrow:"#x21A7",Downarrow:"dArr",Dscr:"#x1D49F",Dstrok:"#x110",ENG:"#x14A",Ecaron:"#x11A",Ecy:"#x42D",Edot:"#x116",Efr:"#x1D508",Element:"#x2208",Emacr:"#x112",EmptySmallSquare:"#x25FB",EmptyVerySmallSquare:"#x25AB",Eogon:"#x118",Eopf:"#x1D53C",Equal:"#x2A75",EqualTilde:"#x2242",Equilibrium:"#x21CC",Escr:"#x2130",Esim:"#x2A73",Exists:"exist",ExponentialE:"#x2147",Fcy:"#x424",Ffr:"#x1D509",FilledSmallSquare:"#x25FC",FilledVerySmallSquare:"#x25AA",Fopf:"#x1D53D",ForAll:"forall",Fouriertrf:"#x2131",Fscr:"#x2131",GJcy:"#x403",GT:"gt",Gammad:"#x3DC",Gbreve:"#x11E",Gcedil:"#x122",Gcirc:"#x11C",Gcy:"#x413",Gdot:"#x120",Gfr:"#x1D50A",Gg:"#x22D9",Gopf:"#x1D53E",GreaterEqual:"ge",GreaterEqualLess:"#x22DB",GreaterFullEqual:"#x2267",GreaterGreater:"#x2AA2",GreaterLess:"#x2277",GreaterSlantEqual:"#x2A7E",GreaterTilde:"#x2273",Gscr:"#x1D4A2",Gt:"#x226B",HARDcy:"#x42A",Hacek:"#x2C7",Hcirc:"#x124",Hfr:"#x210C",HilbertSpace:"#x210B",Hopf:"#x210D",HorizontalLine:"#x2500",Hscr:"#x210B",Hstrok:"#x126",HumpDownHump:"#x224E",HumpEqual:"#x224F",IEcy:"#x415",IJlig:"#x132",IOcy:"#x401",Icy:"#x418",Idot:"#x130",Ifr:"#x2111",Im:"#x2111",Imacr:"#x12A",ImaginaryI:"#x2148",Implies:"rArr",Int:"#x222C",Integral:"int",Intersection:"#x22C2",InvisibleComma:"#x2063",InvisibleTimes:"#x2062",Iogon:"#x12E",Iopf:"#x1D540",Iscr:"#x2110",Itilde:"#x128",Iukcy:"#x406",Jcirc:"#x134",Jcy:"#x419",Jfr:"#x1D50D",Jopf:"#x1D541",Jscr:"#x1D4A5",Jsercy:"#x408",Jukcy:"#x404",KHcy:"#x425",KJcy:"#x40C",Kcedil:"#x136",Kcy:"#x41A",Kfr:"#x1D50E",Kopf:"#x1D542",Kscr:"#x1D4A6",LJcy:"#x409",LT:"lt",Lacute:"#x139",Lang:"#x27EA",Laplacetrf:"#x2112",Larr:"#x219E",Lcaron:"#x13D",Lcedil:"#x13B",Lcy:"#x41B",LeftAngleBracket:"lang",LeftArrow:"larr",LeftArrowBar:"#x21E4",LeftArrowRightArrow:"#x21C6",LeftCeiling:"lceil",LeftDoubleBracket:"#x27E6",LeftDownTeeVector:"#x2961",LeftDownVector:"#x21C3",LeftDownVectorBar:"#x2959",LeftFloor:"lfloor",LeftRightArrow:"harr",LeftRightVector:"#x294E",LeftTee:"#x22A3",LeftTeeArrow:"#x21A4",LeftTeeVector:"#x295A",LeftTriangle:"#x22B2",LeftTriangleBar:"#x29CF",LeftTriangleEqual:"#x22B4",LeftUpDownVector:"#x2951",LeftUpTeeVector:"#x2960",LeftUpVector:"#x21BF",LeftUpVectorBar:"#x2958",LeftVector:"#x21BC",LeftVectorBar:"#x2952",Leftarrow:"lArr",Leftrightarrow:"#x21D4",LessEqualGreater:"#x22DA",LessFullEqual:"#x2266",LessGreater:"#x2276",LessLess:"#x2AA1",LessSlantEqual:"#x2A7D",LessTilde:"#x2272",Lfr:"#x1D50F",Ll:"#x22D8",Lleftarrow:"#x21DA",Lmidot:"#x13F",LongLeftArrow:"#x27F5",LongLeftRightArrow:"#x27F7",LongRightArrow:"#x27F6",Longleftarrow:"#x27F8",Longleftrightarrow:"#x27FA",Longrightarrow:"#x27F9",Lopf:"#x1D543",LowerLeftArrow:"#x2199",LowerRightArrow:"#x2198",Lscr:"#x2112",Lsh:"#x21B0",Lstrok:"#x141",Lt:"#x226A",Map:"#x2905",Mcy:"#x41C",MediumSpace:"#x205F",Mellintrf:"#x2133",Mfr:"#x1D510",MinusPlus:"#x2213",Mopf:"#x1D544",Mscr:"#x2133",NJcy:"#x40A",Nacute:"#x143",Ncaron:"#x147",Ncedil:"#x145",Ncy:"#x41D",NegativeMediumSpace:"#x200B",NegativeThickSpace:"#x200B",NegativeThinSpace:"#x200B",NegativeVeryThinSpace:"#x200B",NestedGreaterGreater:"#x226B",NestedLessLess:"#x226A",Nfr:"#x1D511",NoBreak:"#x2060",NonBreakingSpace:"nbsp",Nopf:"#x2115",Not:"#x2AEC",NotCongruent:"#x2262",NotCupCap:"#x226D",NotDoubleVerticalBar:"#x2226",NotElement:"notin",NotEqual:"ne",NotEqualTilde:"#x2242;&#x338",NotExists:"#x2204",NotGreater:"#x226F",NotGreaterEqual:"#x2271",NotGreaterFullEqual:"#x2267;&#x338",NotGreaterGreater:"#x226B;&#x338",NotGreaterLess:"#x2279",NotGreaterSlantEqual:"#x2A7E;&#x338",NotGreaterTilde:"#x2275",NotHumpDownHump:"#x224E;&#x338",NotHumpEqual:"#x224F;&#x338",NotLeftTriangle:"#x22EA",NotLeftTriangleBar:"#x29CF;&#x338",NotLeftTriangleEqual:"#x22EC",NotLess:"#x226E",NotLessEqual:"#x2270",NotLessGreater:"#x2278",NotLessLess:"#x226A;&#x338",NotLessSlantEqual:"#x2A7D;&#x338",NotLessTilde:"#x2274",NotNestedGreaterGreater:"#x2AA2;&#x338",NotNestedLessLess:"#x2AA1;&#x338",NotPrecedes:"#x2280",NotPrecedesEqual:"#x2AAF;&#x338",NotPrecedesSlantEqual:"#x22E0",NotReverseElement:"#x220C",NotRightTriangle:"#x22EB",NotRightTriangleBar:"#x29D0;&#x338",NotRightTriangleEqual:"#x22ED",NotSquareSubset:"#x228F;&#x338",NotSquareSubsetEqual:"#x22E2",NotSquareSuperset:"#x2290;&#x338",NotSquareSupersetEqual:"#x22E3",NotSubset:"#x2282;&#x20D2",NotSubsetEqual:"#x2288",NotSucceeds:"#x2281",NotSucceedsEqual:"#x2AB0;&#x338",NotSucceedsSlantEqual:"#x22E1",NotSucceedsTilde:"#x227F;&#x338",NotSuperset:"#x2283;&#x20D2",NotSupersetEqual:"#x2289",NotTilde:"#x2241",NotTildeEqual:"#x2244",NotTildeFullEqual:"#x2247",NotTildeTilde:"#x2249",NotVerticalBar:"#x2224",Nscr:"#x1D4A9",Ocy:"#x41E",Odblac:"#x150",Ofr:"#x1D512",Omacr:"#x14C",Oopf:"#x1D546",OpenCurlyDoubleQuote:"ldquo",OpenCurlyQuote:"lsquo",Or:"#x2A54",Oscr:"#x1D4AA",Otimes:"#x2A37",OverBar:"oline",OverBrace:"#x23DE",OverBracket:"#x23B4",OverParenthesis:"#x23DC",PartialD:"part",Pcy:"#x41F",Pfr:"#x1D513",PlusMinus:"#xB1",Poincareplane:"#x210C",Popf:"#x2119",Pr:"#x2ABB",Precedes:"#x227A",PrecedesEqual:"#x2AAF",PrecedesSlantEqual:"#x227C",PrecedesTilde:"#x227E",Product:"prod",Proportion:"#x2237",Proportional:"prop",Pscr:"#x1D4AB",QUOT:"quot",Qfr:"#x1D514",Qopf:"#x211A",Qscr:"#x1D4AC",RBarr:"#x2910",REG:"reg",Racute:"#x154",Rang:"#x27EB",Rarr:"#x21A0",Rarrtl:"#x2916",Rcaron:"#x158",Rcedil:"#x156",Rcy:"#x420",Re:"#x211C",ReverseElement:"ni",ReverseEquilibrium:"#x21CB",ReverseUpEquilibrium:"#x296F",Rfr:"#x211C",RightAngleBracket:"rang",RightArrow:"rarr",RightArrowBar:"#x21E5",RightArrowLeftArrow:"#x21C4",RightCeiling:"rceil",RightDoubleBracket:"#x27E7",RightDownTeeVector:"#x295D",RightDownVector:"#x21C2",RightDownVectorBar:"#x2955",RightFloor:"rfloor",RightTee:"#x22A2",RightTeeArrow:"#x21A6",RightTeeVector:"#x295B",RightTriangle:"#x22B3",RightTriangleBar:"#x29D0",RightTriangleEqual:"#x22B5",RightUpDownVector:"#x294F",RightUpTeeVector:"#x295C",RightUpVector:"#x21BE",RightUpVectorBar:"#x2954",RightVector:"#x21C0",RightVectorBar:"#x2953",Rightarrow:"rArr",Ropf:"#x211D",RoundImplies:"#x2970",Rrightarrow:"#x21DB",Rscr:"#x211B",Rsh:"#x21B1",RuleDelayed:"#x29F4",SHCHcy:"#x429",SHcy:"#x428",SOFTcy:"#x42C",Sacute:"#x15A",Sc:"#x2ABC",Scedil:"#x15E",Scirc:"#x15C",Scy:"#x421",Sfr:"#x1D516",ShortDownArrow:"darr",ShortLeftArrow:"larr",ShortRightArrow:"rarr",ShortUpArrow:"uarr",SmallCircle:"#x2218",Sopf:"#x1D54A",Sqrt:"#x221A",Square:"#x25A1",SquareIntersection:"#x2293",SquareSubset:"#x228F",SquareSubsetEqual:"#x2291",SquareSuperset:"#x2290",SquareSupersetEqual:"#x2292",SquareUnion:"#x2294",Sscr:"#x1D4AE",Star:"#x22C6",Sub:"#x22D0",Subset:"#x22D0",SubsetEqual:"sube",Succeeds:"#x227B",SucceedsEqual:"#x2AB0",SucceedsSlantEqual:"#x227D",SucceedsTilde:"#x227F",SuchThat:"ni",Sum:"sum",Sup:"#x22D1",Superset:"sup",SupersetEqual:"supe",Supset:"#x22D1",TRADE:"trade",TSHcy:"#x40B",TScy:"#x426",Tab:"#x9",Tcaron:"#x164",Tcedil:"#x162",Tcy:"#x422",Tfr:"#x1D517",Therefore:"there4",ThickSpace:"#x205F;&#x200A",ThinSpace:"thinsp",Tilde:"sim",TildeEqual:"#x2243",TildeFullEqual:"cong",TildeTilde:"#x2248",Topf:"#x1D54B",TripleDot:"#x20DB",Tscr:"#x1D4AF",Tstrok:"#x166",Uarr:"#x219F",Uarrocir:"#x2949",Ubrcy:"#x40E",Ubreve:"#x16C",Ucy:"#x423",Udblac:"#x170",Ufr:"#x1D518",Umacr:"#x16A",UnderBrace:"#x23DF",UnderBracket:"#x23B5",UnderParenthesis:"#x23DD",Union:"#x22C3",UnionPlus:"#x228E",Uogon:"#x172",Uopf:"#x1D54C",UpArrow:"uarr",UpArrowBar:"#x2912",UpArrowDownArrow:"#x21C5",UpDownArrow:"#x2195",UpEquilibrium:"#x296E",UpTee:"#x22A5",UpTeeArrow:"#x21A5",Uparrow:"uArr",Updownarrow:"#x21D5",UpperLeftArrow:"#x2196",UpperRightArrow:"#x2197",Upsi:"#x3D2",Uring:"#x16E",Uscr:"#x1D4B0",Utilde:"#x168",VDash:"#x22AB",Vbar:"#x2AEB",Vcy:"#x412",Vdash:"#x22A9",Vdashl:"#x2AE6",Vee:"#x22C1",Verbar:"#x2016",Vert:"#x2016",VerticalBar:"#x2223",VerticalSeparator:"#x2758",VerticalTilde:"#x2240",VeryThinSpace:"#x200A",Vfr:"#x1D519",Vopf:"#x1D54D",Vscr:"#x1D4B1",Vvdash:"#x22AA",Wcirc:"#x174",Wedge:"#x22C0",Wfr:"#x1D51A",Wopf:"#x1D54E",Wscr:"#x1D4B2",Xfr:"#x1D51B",Xopf:"#x1D54F",Xscr:"#x1D4B3",YAcy:"#x42F",YIcy:"#x407",YUcy:"#x42E",Ycirc:"#x176",Ycy:"#x42B",Yfr:"#x1D51C",Yopf:"#x1D550",Yscr:"#x1D4B4",ZHcy:"#x416",Zacute:"#x179",Zcaron:"#x17D",Zcy:"#x417",Zdot:"#x17B",ZeroWidthSpace:"#x200B",Zfr:"#x2128",Zopf:"#x2124",Zscr:"#x1D4B5",abreve:"#x103",ac:"#x223E",acE:"#x223E;&#x333",acd:"#x223F",acy:"#x430",af:"#x2061",afr:"#x1D51E",aleph:"#x2135",amacr:"#x101",amalg:"#x2A3F",andand:"#x2A55",andd:"#x2A5C",andslope:"#x2A58",andv:"#x2A5A",ange:"#x29A4",angle:"ang",angmsd:"#x2221",angmsdaa:"#x29A8",angmsdab:"#x29A9",angmsdac:"#x29AA",angmsdad:"#x29AB",angmsdae:"#x29AC",angmsdaf:"#x29AD",angmsdag:"#x29AE",angmsdah:"#x29AF",angrt:"#x221F",angrtvb:"#x22BE",angrtvbd:"#x299D",angsph:"#x2222",angst:"#xC5",angzarr:"#x237C",aogon:"#x105",aopf:"#x1D552",ap:"#x2248",apE:"#x2A70",apacir:"#x2A6F",ape:"#x224A",apid:"#x224B",approx:"#x2248",approxeq:"#x224A",ascr:"#x1D4B6",asympeq:"#x224D",awconint:"#x2233",awint:"#x2A11",bNot:"#x2AED",backcong:"#x224C",backepsilon:"#x3F6",backprime:"#x2035",backsim:"#x223D",backsimeq:"#x22CD",barvee:"#x22BD",barwed:"#x2305",barwedge:"#x2305",bbrk:"#x23B5",bbrktbrk:"#x23B6",bcong:"#x224C",bcy:"#x431",becaus:"#x2235",because:"#x2235",bemptyv:"#x29B0",bepsi:"#x3F6",bernou:"#x212C",beth:"#x2136",between:"#x226C",bfr:"#x1D51F",bigcap:"#x22C2",bigcirc:"#x25EF",bigcup:"#x22C3",bigodot:"#x2A00",bigoplus:"#x2A01",bigotimes:"#x2A02",bigsqcup:"#x2A06",bigstar:"#x2605",bigtriangledown:"#x25BD",bigtriangleup:"#x25B3",biguplus:"#x2A04",bigvee:"#x22C1",bigwedge:"#x22C0",bkarow:"#x290D",blacklozenge:"#x29EB",blacksquare:"#x25AA",blacktriangle:"#x25B4",blacktriangledown:"#x25BE",blacktriangleleft:"#x25C2",blacktriangleright:"#x25B8",blank:"#x2423",blk12:"#x2592",blk14:"#x2591",blk34:"#x2593",block:"#x2588",bne:"&#x20E5",bnequiv:"#x2261;&#x20E5",bnot:"#x2310",bopf:"#x1D553",bot:"#x22A5",bottom:"#x22A5",bowtie:"#x22C8",boxDL:"#x2557",boxDR:"#x2554",boxDl:"#x2556",boxDr:"#x2553",boxH:"#x2550",boxHD:"#x2566",boxHU:"#x2569",boxHd:"#x2564",boxHu:"#x2567",boxUL:"#x255D",boxUR:"#x255A",boxUl:"#x255C",boxUr:"#x2559",boxV:"#x2551",boxVH:"#x256C",boxVL:"#x2563",boxVR:"#x2560",boxVh:"#x256B",boxVl:"#x2562",boxVr:"#x255F",boxbox:"#x29C9",boxdL:"#x2555",boxdR:"#x2552",boxdl:"#x2510",boxdr:"#x250C",boxh:"#x2500",boxhD:"#x2565",boxhU:"#x2568",boxhd:"#x252C",boxhu:"#x2534",boxminus:"#x229F",boxplus:"#x229E",boxtimes:"#x22A0",boxuL:"#x255B",boxuR:"#x2558",boxul:"#x2518",boxur:"#x2514",boxv:"#x2502",boxvH:"#x256A",boxvL:"#x2561",boxvR:"#x255E",boxvh:"#x253C",boxvl:"#x2524",boxvr:"#x251C",bprime:"#x2035",breve:"#x2D8",bscr:"#x1D4B7",bsemi:"#x204F",bsim:"#x223D",bsime:"#x22CD",bsolb:"#x29C5",bsolhsub:"#x27C8",bullet:"bull",bump:"#x224E",bumpE:"#x2AAE",bumpe:"#x224F",bumpeq:"#x224F",cacute:"#x107",capand:"#x2A44",capbrcup:"#x2A49",capcap:"#x2A4B",capcup:"#x2A47",capdot:"#x2A40",caps:"#x2229;&#xFE00",caret:"#x2041",caron:"#x2C7",ccaps:"#x2A4D",ccaron:"#x10D",ccirc:"#x109",ccups:"#x2A4C",ccupssm:"#x2A50",cdot:"#x10B",cemptyv:"#x29B2",centerdot:"middot",cfr:"#x1D520",chcy:"#x447",check:"#x2713",checkmark:"#x2713",cir:"#x25CB",cirE:"#x29C3",circeq:"#x2257",circlearrowleft:"#x21BA",circlearrowright:"#x21BB",circledR:"reg",circledS:"#x24C8",circledast:"#x229B",circledcirc:"#x229A",circleddash:"#x229D",cire:"#x2257",cirfnint:"#x2A10",cirmid:"#x2AEF",cirscir:"#x29C2",clubsuit:"clubs",colone:"#x2254",coloneq:"#x2254",comp:"#x2201",compfn:"#x2218",complement:"#x2201",complexes:"#x2102",congdot:"#x2A6D",conint:"#x222E",copf:"#x1D554",coprod:"#x2210",copysr:"#x2117",cross:"#x2717",cscr:"#x1D4B8",csub:"#x2ACF",csube:"#x2AD1",csup:"#x2AD0",csupe:"#x2AD2",ctdot:"#x22EF",cudarrl:"#x2938",cudarrr:"#x2935",cuepr:"#x22DE",cuesc:"#x22DF",cularr:"#x21B6",cularrp:"#x293D",cupbrcap:"#x2A48",cupcap:"#x2A46",cupcup:"#x2A4A",cupdot:"#x228D",cupor:"#x2A45",cups:"#x222A;&#xFE00",curarr:"#x21B7",curarrm:"#x293C",curlyeqprec:"#x22DE",curlyeqsucc:"#x22DF",curlyvee:"#x22CE",curlywedge:"#x22CF",curvearrowleft:"#x21B6",curvearrowright:"#x21B7",cuvee:"#x22CE",cuwed:"#x22CF",cwconint:"#x2232",cwint:"#x2231",cylcty:"#x232D",dHar:"#x2965",daleth:"#x2138",dash:"#x2010",dashv:"#x22A3",dbkarow:"#x290F",dblac:"#x2DD",dcaron:"#x10F",dcy:"#x434",dd:"#x2146",ddagger:"Dagger",ddarr:"#x21CA",ddotseq:"#x2A77",demptyv:"#x29B1",dfisht:"#x297F",dfr:"#x1D521",dharl:"#x21C3",dharr:"#x21C2",diam:"#x22C4",diamond:"#x22C4",diamondsuit:"diams",die:"#xA8",digamma:"#x3DD",disin:"#x22F2",div:"#xF7",divideontimes:"#x22C7",divonx:"#x22C7",djcy:"#x452",dlcorn:"#x231E",dlcrop:"#x230D",dopf:"#x1D555",dot:"#x2D9",doteq:"#x2250",doteqdot:"#x2251",dotminus:"#x2238",dotplus:"#x2214",dotsquare:"#x22A1",doublebarwedge:"#x2306",downarrow:"darr",downdownarrows:"#x21CA",downharpoonleft:"#x21C3",downharpoonright:"#x21C2",drbkarow:"#x2910",drcorn:"#x231F",drcrop:"#x230C",dscr:"#x1D4B9",dscy:"#x455",dsol:"#x29F6",dstrok:"#x111",dtdot:"#x22F1",dtri:"#x25BF",dtrif:"#x25BE",duarr:"#x21F5",duhar:"#x296F",dwangle:"#x29A6",dzcy:"#x45F",dzigrarr:"#x27FF",eDDot:"#x2A77",eDot:"#x2251",easter:"#x2A6E",ecaron:"#x11B",ecir:"#x2256",ecolon:"#x2255",ecy:"#x44D",edot:"#x117",ee:"#x2147",efDot:"#x2252",efr:"#x1D522",eg:"#x2A9A",egs:"#x2A96",egsdot:"#x2A98",el:"#x2A99",elinters:"#x23E7",ell:"#x2113",els:"#x2A95",elsdot:"#x2A97",emacr:"#x113",emptyset:"empty",emptyv:"empty",emsp13:"#x2004",emsp14:"#x2005",eng:"#x14B",eogon:"#x119",eopf:"#x1D556",epar:"#x22D5",eparsl:"#x29E3",eplus:"#x2A71",epsi:"#x3B5",epsiv:"#x3F5",eqcirc:"#x2256",eqcolon:"#x2255",eqsim:"#x2242",eqslantgtr:"#x2A96",eqslantless:"#x2A95",equest:"#x225F",equivDD:"#x2A78",eqvparsl:"#x29E5",erDot:"#x2253",erarr:"#x2971",escr:"#x212F",esdot:"#x2250",esim:"#x2242",expectation:"#x2130",exponentiale:"#x2147",fallingdotseq:"#x2252",fcy:"#x444",female:"#x2640",ffilig:"#xFB03",fflig:"#xFB00",ffllig:"#xFB04",ffr:"#x1D523",filig:"#xFB01",flat:"#x266D",fllig:"#xFB02",fltns:"#x25B1",fopf:"#x1D557",fork:"#x22D4",forkv:"#x2AD9",fpartint:"#x2A0D",frac13:"#x2153",frac15:"#x2155",frac16:"#x2159",frac18:"#x215B",frac23:"#x2154",frac25:"#x2156",frac35:"#x2157",frac38:"#x215C",frac45:"#x2158",frac56:"#x215A",frac58:"#x215D",frac78:"#x215E",frown:"#x2322",fscr:"#x1D4BB",gE:"#x2267",gEl:"#x2A8C",gacute:"#x1F5",gammad:"#x3DD",gap:"#x2A86",gbreve:"#x11F",gcirc:"#x11D",gcy:"#x433",gdot:"#x121",gel:"#x22DB",geq:"ge",geqq:"#x2267",geqslant:"#x2A7E",ges:"#x2A7E",gescc:"#x2AA9",gesdot:"#x2A80",gesdoto:"#x2A82",gesdotol:"#x2A84",gesl:"#x22DB;&#xFE00",gesles:"#x2A94",gfr:"#x1D524",gg:"#x226B",ggg:"#x22D9",gimel:"#x2137",gjcy:"#x453",gl:"#x2277",glE:"#x2A92",gla:"#x2AA5",glj:"#x2AA4",gnE:"#x2269",gnap:"#x2A8A",gnapprox:"#x2A8A",gne:"#x2A88",gneq:"#x2A88",gneqq:"#x2269",gnsim:"#x22E7",gopf:"#x1D558",grave:"#x60",gscr:"#x210A",gsim:"#x2273",gsime:"#x2A8E",gsiml:"#x2A90",gtcc:"#x2AA7",gtcir:"#x2A7A",gtdot:"#x22D7",gtlPar:"#x2995",gtquest:"#x2A7C",gtrapprox:"#x2A86",gtrarr:"#x2978",gtrdot:"#x22D7",gtreqless:"#x22DB",gtreqqless:"#x2A8C",gtrless:"#x2277",gtrsim:"#x2273",gvertneqq:"#x2269;&#xFE00",gvnE:"#x2269;&#xFE00",hairsp:"#x200A",half:"#xBD",hamilt:"#x210B",hardcy:"#x44A",harrcir:"#x2948",harrw:"#x21AD",hbar:"#x210F",hcirc:"#x125",heartsuit:"hearts",hercon:"#x22B9",hfr:"#x1D525",hksearow:"#x2925",hkswarow:"#x2926",hoarr:"#x21FF",homtht:"#x223B",hookleftarrow:"#x21A9",hookrightarrow:"#x21AA",hopf:"#x1D559",horbar:"#x2015",hscr:"#x1D4BD",hslash:"#x210F",hstrok:"#x127",hybull:"#x2043",hyphen:"#x2010",ic:"#x2063",icy:"#x438",iecy:"#x435",iff:"#x21D4",ifr:"#x1D526",ii:"#x2148",iiiint:"#x2A0C",iiint:"#x222D",iinfin:"#x29DC",iiota:"#x2129",ijlig:"#x133",imacr:"#x12B",imagline:"#x2110",imagpart:"#x2111",imath:"#x131",imof:"#x22B7",imped:"#x1B5",in:"#x2208",incare:"#x2105",infintie:"#x29DD",inodot:"#x131",intcal:"#x22BA",integers:"#x2124",intercal:"#x22BA",intlarhk:"#x2A17",intprod:"#x2A3C",iocy:"#x451",iogon:"#x12F",iopf:"#x1D55A",iprod:"#x2A3C",iscr:"#x1D4BE",isinE:"#x22F9",isindot:"#x22F5",isins:"#x22F4",isinsv:"#x22F3",isinv:"#x2208",it:"#x2062",itilde:"#x129",iukcy:"#x456",jcirc:"#x135",jcy:"#x439",jfr:"#x1D527",jmath:"#x237",jopf:"#x1D55B",jscr:"#x1D4BF",jsercy:"#x458",jukcy:"#x454",kappav:"#x3F0",kcedil:"#x137",kcy:"#x43A",kfr:"#x1D528",kgreen:"#x138",khcy:"#x445",kjcy:"#x45C",kopf:"#x1D55C",kscr:"#x1D4C0",lAarr:"#x21DA",lAtail:"#x291B",lBarr:"#x290E",lE:"#x2266",lEg:"#x2A8B",lHar:"#x2962",lacute:"#x13A",laemptyv:"#x29B4",lagran:"#x2112",langd:"#x2991",langle:"lang",lap:"#x2A85",larrb:"#x21E4",larrbfs:"#x291F",larrfs:"#x291D",larrhk:"#x21A9",larrlp:"#x21AB",larrpl:"#x2939",larrsim:"#x2973",larrtl:"#x21A2",lat:"#x2AAB",latail:"#x2919",late:"#x2AAD",lates:"#x2AAD;&#xFE00",lbarr:"#x290C",lbbrk:"#x2772",lbrace:"{",lbrack:"[",lbrke:"#x298B",lbrksld:"#x298F",lbrkslu:"#x298D",lcaron:"#x13E",lcedil:"#x13C",lcub:"{",lcy:"#x43B",ldca:"#x2936",ldquor:"bdquo",ldrdhar:"#x2967",ldrushar:"#x294B",ldsh:"#x21B2",leftarrow:"larr",leftarrowtail:"#x21A2",leftharpoondown:"#x21BD",leftharpoonup:"#x21BC",leftleftarrows:"#x21C7",leftrightarrow:"harr",leftrightarrows:"#x21C6",leftrightharpoons:"#x21CB",leftrightsquigarrow:"#x21AD",leftthreetimes:"#x22CB",leg:"#x22DA",leq:"le",leqq:"#x2266",leqslant:"#x2A7D",les:"#x2A7D",lescc:"#x2AA8",lesdot:"#x2A7F",lesdoto:"#x2A81",lesdotor:"#x2A83",lesg:"#x22DA;&#xFE00",lesges:"#x2A93",lessapprox:"#x2A85",lessdot:"#x22D6",lesseqgtr:"#x22DA",lesseqqgtr:"#x2A8B",lessgtr:"#x2276",lesssim:"#x2272",lfisht:"#x297C",lfr:"#x1D529",lg:"#x2276",lgE:"#x2A91",lhard:"#x21BD",lharu:"#x21BC",lharul:"#x296A",lhblk:"#x2584",ljcy:"#x459",ll:"#x226A",llarr:"#x21C7",llcorner:"#x231E",llhard:"#x296B",lltri:"#x25FA",lmidot:"#x140",lmoust:"#x23B0",lmoustache:"#x23B0",lnE:"#x2268",lnap:"#x2A89",lnapprox:"#x2A89",lne:"#x2A87",lneq:"#x2A87",lneqq:"#x2268",lnsim:"#x22E6",loang:"#x27EC",loarr:"#x21FD",lobrk:"#x27E6",longleftarrow:"#x27F5",longleftrightarrow:"#x27F7",longmapsto:"#x27FC",longrightarrow:"#x27F6",looparrowleft:"#x21AB",looparrowright:"#x21AC",lopar:"#x2985",lopf:"#x1D55D",loplus:"#x2A2D",lotimes:"#x2A34",lozenge:"loz",lozf:"#x29EB",lparlt:"#x2993",lrarr:"#x21C6",lrcorner:"#x231F",lrhar:"#x21CB",lrhard:"#x296D",lrtri:"#x22BF",lscr:"#x1D4C1",lsh:"#x21B0",lsim:"#x2272",lsime:"#x2A8D",lsimg:"#x2A8F",lsquor:"sbquo",lstrok:"#x142",ltcc:"#x2AA6",ltcir:"#x2A79",ltdot:"#x22D6",lthree:"#x22CB",ltimes:"#x22C9",ltlarr:"#x2976",ltquest:"#x2A7B",ltrPar:"#x2996",ltri:"#x25C3",ltrie:"#x22B4",ltrif:"#x25C2",lurdshar:"#x294A",luruhar:"#x2966",lvertneqq:"#x2268;&#xFE00",lvnE:"#x2268;&#xFE00",mDDot:"#x223A",male:"#x2642",malt:"#x2720",maltese:"#x2720",map:"#x21A6",mapsto:"#x21A6",mapstodown:"#x21A7",mapstoleft:"#x21A4",mapstoup:"#x21A5",marker:"#x25AE",mcomma:"#x2A29",mcy:"#x43C",measuredangle:"#x2221",mfr:"#x1D52A",mho:"#x2127",mid:"#x2223",midcir:"#x2AF0",minusb:"#x229F",minusd:"#x2238",minusdu:"#x2A2A",mlcp:"#x2ADB",mldr:"#x2026",mnplus:"#x2213",models:"#x22A7",mopf:"#x1D55E",mp:"#x2213",mscr:"#x1D4C2",mstpos:"#x223E",multimap:"#x22B8",mumap:"#x22B8",nGg:"#x22D9;&#x338",nGt:"#x226B;&#x20D2",nGtv:"#x226B;&#x338",nLeftarrow:"#x21CD",nLeftrightarrow:"#x21CE",nLl:"#x22D8;&#x338",nLt:"#x226A;&#x20D2",nLtv:"#x226A;&#x338",nRightarrow:"#x21CF",nVDash:"#x22AF",nVdash:"#x22AE",nacute:"#x144",nang:"#x2220;&#x20D2",nap:"#x2249",napE:"#x2A70;&#x338",napid:"#x224B;&#x338",napos:"#x149",napprox:"#x2249",natur:"#x266E",natural:"#x266E",naturals:"#x2115",nbump:"#x224E;&#x338",nbumpe:"#x224F;&#x338",ncap:"#x2A43",ncaron:"#x148",ncedil:"#x146",ncong:"#x2247",ncongdot:"#x2A6D;&#x338",ncup:"#x2A42",ncy:"#x43D",neArr:"#x21D7",nearhk:"#x2924",nearr:"#x2197",nearrow:"#x2197",nedot:"#x2250;&#x338",nequiv:"#x2262",nesear:"#x2928",nesim:"#x2242;&#x338",nexist:"#x2204",nexists:"#x2204",nfr:"#x1D52B",ngE:"#x2267;&#x338",nge:"#x2271",ngeq:"#x2271",ngeqq:"#x2267;&#x338",ngeqslant:"#x2A7E;&#x338",nges:"#x2A7E;&#x338",ngsim:"#x2275",ngt:"#x226F",ngtr:"#x226F",nhArr:"#x21CE",nharr:"#x21AE",nhpar:"#x2AF2",nis:"#x22FC",nisd:"#x22FA",niv:"ni",njcy:"#x45A",nlArr:"#x21CD",nlE:"#x2266;&#x338",nlarr:"#x219A",nldr:"#x2025",nle:"#x2270",nleftarrow:"#x219A",nleftrightarrow:"#x21AE",nleq:"#x2270",nleqq:"#x2266;&#x338",nleqslant:"#x2A7D;&#x338",nles:"#x2A7D;&#x338",nless:"#x226E",nlsim:"#x2274",nlt:"#x226E",nltri:"#x22EA",nltrie:"#x22EC",nmid:"#x2224",nopf:"#x1D55F",notinE:"#x22F9;&#x338",notindot:"#x22F5;&#x338",notinva:"notin",notinvb:"#x22F7",notinvc:"#x22F6",notni:"#x220C",notniva:"#x220C",notnivb:"#x22FE",notnivc:"#x22FD",npar:"#x2226",nparallel:"#x2226",nparsl:"#x2AFD;&#x20E5",npart:"#x2202;&#x338",npolint:"#x2A14",npr:"#x2280",nprcue:"#x22E0",npre:"#x2AAF;&#x338",nprec:"#x2280",npreceq:"#x2AAF;&#x338",nrArr:"#x21CF",nrarr:"#x219B",nrarrc:"#x2933;&#x338",nrarrw:"#x219D;&#x338",nrightarrow:"#x219B",nrtri:"#x22EB",nrtrie:"#x22ED",nsc:"#x2281",nsccue:"#x22E1",nsce:"#x2AB0;&#x338",nscr:"#x1D4C3",nshortmid:"#x2224",nshortparallel:"#x2226",nsim:"#x2241",nsime:"#x2244",nsimeq:"#x2244",nsmid:"#x2224",nspar:"#x2226",nsqsube:"#x22E2",nsqsupe:"#x22E3",nsubE:"#x2AC5;&#x338",nsube:"#x2288",nsubset:"#x2282;&#x20D2",nsubseteq:"#x2288",nsubseteqq:"#x2AC5;&#x338",nsucc:"#x2281",nsucceq:"#x2AB0;&#x338",nsup:"#x2285",nsupE:"#x2AC6;&#x338",nsupe:"#x2289",nsupset:"#x2283;&#x20D2",nsupseteq:"#x2289",nsupseteqq:"#x2AC6;&#x338",ntgl:"#x2279",ntlg:"#x2278",ntriangleleft:"#x22EA",ntrianglelefteq:"#x22EC",ntriangleright:"#x22EB",ntrianglerighteq:"#x22ED",numero:"#x2116",numsp:"#x2007",nvDash:"#x22AD",nvHarr:"#x2904",nvap:"#x224D;&#x20D2",nvdash:"#x22AC",nvge:"#x2265;&#x20D2",nvgt:"#x3E;&#x20D2",nvinfin:"#x29DE",nvlArr:"#x2902",nvle:"#x2264;&#x20D2",nvlt:"#x3C;&#x20D2",nvltrie:"#x22B4;&#x20D2",nvrArr:"#x2903",nvrtrie:"#x22B5;&#x20D2",nvsim:"#x223C;&#x20D2",nwArr:"#x21D6",nwarhk:"#x2923",nwarr:"#x2196",nwarrow:"#x2196",nwnear:"#x2927",oS:"#x24C8",oast:"#x229B",ocir:"#x229A",ocy:"#x43E",odash:"#x229D",odblac:"#x151",odiv:"#x2A38",odot:"#x2299",odsold:"#x29BC",ofcir:"#x29BF",ofr:"#x1D52C",ogon:"#x2DB",ogt:"#x29C1",ohbar:"#x29B5",ohm:"#x3A9",oint:"#x222E",olarr:"#x21BA",olcir:"#x29BE",olcross:"#x29BB",olt:"#x29C0",omacr:"#x14D",omid:"#x29B6",ominus:"#x2296",oopf:"#x1D560",opar:"#x29B7",operp:"#x29B9",orarr:"#x21BB",ord:"#x2A5D",order:"#x2134",orderof:"#x2134",origof:"#x22B6",oror:"#x2A56",orslope:"#x2A57",orv:"#x2A5B",oscr:"#x2134",osol:"#x2298",otimesas:"#x2A36",ovbar:"#x233D",par:"#x2225",parallel:"#x2225",parsim:"#x2AF3",parsl:"#x2AFD",pcy:"#x43F",pertenk:"#x2031",pfr:"#x1D52D",phiv:"#x3D5",phmmat:"#x2133",phone:"#x260E",pitchfork:"#x22D4",planck:"#x210F",planckh:"#x210E",plankv:"#x210F",plusacir:"#x2A23",plusb:"#x229E",pluscir:"#x2A22",plusdo:"#x2214",plusdu:"#x2A25",pluse:"#x2A72",plussim:"#x2A26",plustwo:"#x2A27",pm:"#xB1",pointint:"#x2A15",popf:"#x1D561",pr:"#x227A",prE:"#x2AB3",prap:"#x2AB7",prcue:"#x227C",pre:"#x2AAF",prec:"#x227A",precapprox:"#x2AB7",preccurlyeq:"#x227C",preceq:"#x2AAF",precnapprox:"#x2AB9",precneqq:"#x2AB5",precnsim:"#x22E8",precsim:"#x227E",primes:"#x2119",prnE:"#x2AB5",prnap:"#x2AB9",prnsim:"#x22E8",profalar:"#x232E",profline:"#x2312",profsurf:"#x2313",propto:"prop",prsim:"#x227E",prurel:"#x22B0",pscr:"#x1D4C5",puncsp:"#x2008",qfr:"#x1D52E",qint:"#x2A0C",qopf:"#x1D562",qprime:"#x2057",qscr:"#x1D4C6",quaternions:"#x210D",quatint:"#x2A16",questeq:"#x225F",rAarr:"#x21DB",rAtail:"#x291C",rBarr:"#x290F",rHar:"#x2964",race:"#x223D;&#x331",racute:"#x155",raemptyv:"#x29B3",rangd:"#x2992",range:"#x29A5",rangle:"rang",rarrap:"#x2975",rarrb:"#x21E5",rarrbfs:"#x2920",rarrc:"#x2933",rarrfs:"#x291E",rarrhk:"#x21AA",rarrlp:"#x21AC",rarrpl:"#x2945",rarrsim:"#x2974",rarrtl:"#x21A3",rarrw:"#x219D",ratail:"#x291A",ratio:"#x2236",rationals:"#x211A",rbarr:"#x290D",rbbrk:"#x2773",rbrke:"#x298C",rbrksld:"#x298E",rbrkslu:"#x2990",rcaron:"#x159",rcedil:"#x157",rcy:"#x440",rdca:"#x2937",rdldhar:"#x2969",rdquor:"rdquo",rdsh:"#x21B3",realine:"#x211B",realpart:"#x211C",reals:"#x211D",rect:"#x25AD",rfisht:"#x297D",rfr:"#x1D52F",rhard:"#x21C1",rharu:"#x21C0",rharul:"#x296C",rhov:"#x3F1",rightarrow:"rarr",rightarrowtail:"#x21A3",rightharpoondown:"#x21C1",rightharpoonup:"#x21C0",rightleftarrows:"#x21C4",rightleftharpoons:"#x21CC",rightrightarrows:"#x21C9",rightsquigarrow:"#x219D",rightthreetimes:"#x22CC",ring:"#x2DA",risingdotseq:"#x2253",rlarr:"#x21C4",rlhar:"#x21CC",rmoust:"#x23B1",rmoustache:"#x23B1",rnmid:"#x2AEE",roang:"#x27ED",roarr:"#x21FE",robrk:"#x27E7",ropar:"#x2986",ropf:"#x1D563",roplus:"#x2A2E",rotimes:"#x2A35",rpargt:"#x2994",rppolint:"#x2A12",rrarr:"#x21C9",rscr:"#x1D4C7",rsh:"#x21B1",rsquor:"rsquo",rthree:"#x22CC",rtimes:"#x22CA",rtri:"#x25B9",rtrie:"#x22B5",rtrif:"#x25B8",rtriltri:"#x29CE",ruluhar:"#x2968",rx:"#x211E",sacute:"#x15B",sc:"#x227B",scE:"#x2AB4",scap:"#x2AB8",sccue:"#x227D",sce:"#x2AB0",scedil:"#x15F",scirc:"#x15D",scnE:"#x2AB6",scnap:"#x2ABA",scnsim:"#x22E9",scpolint:"#x2A13",scsim:"#x227F",scy:"#x441",sdotb:"#x22A1",sdote:"#x2A66",seArr:"#x21D8",searhk:"#x2925",searr:"#x2198",searrow:"#x2198",seswar:"#x2929",setminus:"#x2216",setmn:"#x2216",sext:"#x2736",sfr:"#x1D530",sfrown:"#x2322",sharp:"#x266F",shchcy:"#x449",shcy:"#x448",shortmid:"#x2223",shortparallel:"#x2225",sigmav:"sigmaf",simdot:"#x2A6A",sime:"#x2243",simeq:"#x2243",simg:"#x2A9E",simgE:"#x2AA0",siml:"#x2A9D",simlE:"#x2A9F",simne:"#x2246",simplus:"#x2A24",simrarr:"#x2972",slarr:"larr",smallsetminus:"#x2216",smashp:"#x2A33",smeparsl:"#x29E4",smid:"#x2223",smile:"#x2323",smt:"#x2AAA",smte:"#x2AAC",smtes:"#x2AAC;&#xFE00",softcy:"#x44C",solb:"#x29C4",solbar:"#x233F",sopf:"#x1D564",spadesuit:"spades",spar:"#x2225",sqcap:"#x2293",sqcaps:"#x2293;&#xFE00",sqcup:"#x2294",sqcups:"#x2294;&#xFE00",sqsub:"#x228F",sqsube:"#x2291",sqsubset:"#x228F",sqsubseteq:"#x2291",sqsup:"#x2290",sqsupe:"#x2292",sqsupset:"#x2290",sqsupseteq:"#x2292",squ:"#x25A1",square:"#x25A1",squarf:"#x25AA",squf:"#x25AA",srarr:"rarr",sscr:"#x1D4C8",ssetmn:"#x2216",ssmile:"#x2323",sstarf:"#x22C6",star:"#x2606",starf:"#x2605",straightepsilon:"#x3F5",straightphi:"#x3D5",strns:"macr",subE:"#x2AC5",subdot:"#x2ABD",subedot:"#x2AC3",submult:"#x2AC1",subnE:"#x2ACB",subne:"#x228A",subplus:"#x2ABF",subrarr:"#x2979",subset:"sub",subseteq:"sube",subseteqq:"#x2AC5",subsetneq:"#x228A",subsetneqq:"#x2ACB",subsim:"#x2AC7",subsub:"#x2AD5",subsup:"#x2AD3",succ:"#x227B",succapprox:"#x2AB8",succcurlyeq:"#x227D",succeq:"#x2AB0",succnapprox:"#x2ABA",succneqq:"#x2AB6",succnsim:"#x22E9",succsim:"#x227F",sung:"#x266A",supE:"#x2AC6",supdot:"#x2ABE",supdsub:"#x2AD8",supedot:"#x2AC4",suphsol:"#x27C9",suphsub:"#x2AD7",suplarr:"#x297B",supmult:"#x2AC2",supnE:"#x2ACC",supne:"#x228B",supplus:"#x2AC0",supset:"sup",supseteq:"supe",supseteqq:"#x2AC6",supsetneq:"#x228B",supsetneqq:"#x2ACC",supsim:"#x2AC8",supsub:"#x2AD4",supsup:"#x2AD6",swArr:"#x21D9",swarhk:"#x2926",swarr:"#x2199",swarrow:"#x2199",swnwar:"#x292A",target:"#x2316",tbrk:"#x23B4",tcaron:"#x165",tcedil:"#x163",tcy:"#x442",tdot:"#x20DB",telrec:"#x2315",tfr:"#x1D531",therefore:"there4",thetav:"#x3D1",thickapprox:"#x2248",thicksim:"sim",thkap:"#x2248",thksim:"sim",timesb:"#x22A0",timesbar:"#x2A31",timesd:"#x2A30",tint:"#x222D",toea:"#x2928",top:"#x22A4",topbot:"#x2336",topcir:"#x2AF1",topf:"#x1D565",topfork:"#x2ADA",tosa:"#x2929",tprime:"#x2034",triangle:"#x25B5",triangledown:"#x25BF",triangleleft:"#x25C3",trianglelefteq:"#x22B4",triangleq:"#x225C",triangleright:"#x25B9",trianglerighteq:"#x22B5",tridot:"#x25EC",trie:"#x225C",triminus:"#x2A3A",triplus:"#x2A39",trisb:"#x29CD",tritime:"#x2A3B",trpezium:"#x23E2",tscr:"#x1D4C9",tscy:"#x446",tshcy:"#x45B",tstrok:"#x167",twixt:"#x226C",twoheadleftarrow:"#x219E",twoheadrightarrow:"#x21A0",uHar:"#x2963",ubrcy:"#x45E",ubreve:"#x16D",ucy:"#x443",udarr:"#x21C5",udblac:"#x171",udhar:"#x296E",ufisht:"#x297E",ufr:"#x1D532",uharl:"#x21BF",uharr:"#x21BE",uhblk:"#x2580",ulcorn:"#x231C",ulcorner:"#x231C",ulcrop:"#x230F",ultri:"#x25F8",umacr:"#x16B",uogon:"#x173",uopf:"#x1D566",uparrow:"uarr",updownarrow:"#x2195",upharpoonleft:"#x21BF",upharpoonright:"#x21BE",uplus:"#x228E",upsi:"#x3C5",upuparrows:"#x21C8",urcorn:"#x231D",urcorner:"#x231D",urcrop:"#x230E",uring:"#x16F",urtri:"#x25F9",uscr:"#x1D4CA",utdot:"#x22F0",utilde:"#x169",utri:"#x25B5",utrif:"#x25B4",uuarr:"#x21C8",uwangle:"#x29A7",vArr:"#x21D5",vBar:"#x2AE8",vBarv:"#x2AE9",vDash:"#x22A8",vangrt:"#x299C",varepsilon:"#x3F5",varkappa:"#x3F0",varnothing:"empty",varphi:"#x3D5",varpi:"piv",varpropto:"prop",varr:"#x2195",varrho:"#x3F1",varsigma:"sigmaf",varsubsetneq:"#x228A;&#xFE00",varsubsetneqq:"#x2ACB;&#xFE00",varsupsetneq:"#x228B;&#xFE00",varsupsetneqq:"#x2ACC;&#xFE00",vartheta:"#x3D1",vartriangleleft:"#x22B2",vartriangleright:"#x22B3",vcy:"#x432",vdash:"#x22A2",vee:"or",veebar:"#x22BB",veeeq:"#x225A",vellip:"#x22EE",vfr:"#x1D533",vltri:"#x22B2",vnsub:"#x2282;&#x20D2",vnsup:"#x2283;&#x20D2",vopf:"#x1D567",vprop:"prop",vrtri:"#x22B3",vscr:"#x1D4CB",vsubnE:"#x2ACB;&#xFE00",vsubne:"#x228A;&#xFE00",vsupnE:"#x2ACC;&#xFE00",vsupne:"#x228B;&#xFE00",vzigzag:"#x299A",wcirc:"#x175",wedbar:"#x2A5F",wedge:"and",wedgeq:"#x2259",wfr:"#x1D534",wopf:"#x1D568",wp:"#x2118",wr:"#x2240",wreath:"#x2240",wscr:"#x1D4CC",xcap:"#x22C2",xcirc:"#x25EF",xcup:"#x22C3",xdtri:"#x25BD",xfr:"#x1D535",xhArr:"#x27FA",xharr:"#x27F7",xlArr:"#x27F8",xlarr:"#x27F5",xmap:"#x27FC",xnis:"#x22FB",xodot:"#x2A00",xopf:"#x1D569",xoplus:"#x2A01",xotime:"#x2A02",xrArr:"#x27F9",xrarr:"#x27F6",xscr:"#x1D4CD",xsqcup:"#x2A06",xuplus:"#x2A04",xutri:"#x25B3",xvee:"#x22C1",xwedge:"#x22C0",yacy:"#x44F",ycirc:"#x177",ycy:"#x44B",yfr:"#x1D536",yicy:"#x457",yopf:"#x1D56A",yscr:"#x1D4CE",yucy:"#x44E",zacute:"#x17A",zcaron:"#x17E",zcy:"#x437",zdot:"#x17C",zeetrf:"#x2128",zfr:"#x1D537",zhcy:"#x436",zigrarr:"#x21DD",zopf:"#x1D56B",zscr:"#x1D4CF"},e=new Set(["AMP","Abreve","Acy","Afr","Amacr","And","Aogon","Aopf","ApplyFunction","Ascr","Assign","Backslash","Barv","Barwed","Bcy","Because","Bernoullis","Bfr","Bopf","Breve","Bscr","Bumpeq","CHcy","COPY","Cacute","Cap","CapitalDifferentialD","Cayleys","Ccaron","Ccirc","Cconint","Cdot","Cedilla","CenterDot","Cfr","CircleDot","CircleMinus","CirclePlus","CircleTimes","ClockwiseContourIntegral","CloseCurlyDoubleQuote","CloseCurlyQuote","Colon","Colone","Congruent","Conint","ContourIntegral","Copf","Coproduct","CounterClockwiseContourIntegral","Cross","Cscr","Cup","CupCap","DD","DDotrahd","DJcy","DScy","DZcy","Darr","Dashv","Dcaron","Dcy","Del","Dfr","DiacriticalAcute","DiacriticalDot","DiacriticalDoubleAcute","DiacriticalGrave","DiacriticalTilde","Diamond","DifferentialD","Dopf","Dot","DotDot","DotEqual","DoubleContourIntegral","DoubleDot","DoubleDownArrow","DoubleLeftArrow","DoubleLeftRightArrow","DoubleLeftTee","DoubleLongLeftArrow","DoubleLongLeftRightArrow","DoubleLongRightArrow","DoubleRightArrow","DoubleRightTee","DoubleUpArrow","DoubleUpDownArrow","DoubleVerticalBar","DownArrow","DownArrowBar","DownArrowUpArrow","DownBreve","DownLeftRightVector","DownLeftTeeVector","DownLeftVector","DownLeftVectorBar","DownRightTeeVector","DownRightVector","DownRightVectorBar","DownTee","DownTeeArrow","Downarrow","Dscr","Dstrok","ENG","Ecaron","Ecy","Edot","Efr","Element","Emacr","EmptySmallSquare","EmptyVerySmallSquare","Eogon","Eopf","Equal","EqualTilde","Equilibrium","Escr","Esim","Exists","ExponentialE","Fcy","Ffr","FilledSmallSquare","FilledVerySmallSquare","Fopf","ForAll","Fouriertrf","Fscr","GJcy","GT","Gammad","Gbreve","Gcedil","Gcirc","Gcy","Gdot","Gfr","Gg","Gopf","GreaterEqual","GreaterEqualLess","GreaterFullEqual","GreaterGreater","GreaterLess","GreaterSlantEqual","GreaterTilde","Gscr","Gt","HARDcy","Hacek","Hcirc","Hfr","HilbertSpace","Hopf","HorizontalLine","Hscr","Hstrok","HumpDownHump","HumpEqual","IEcy","IJlig","IOcy","Icy","Idot","Ifr","Im","Imacr","ImaginaryI","Implies","Int","Integral","Intersection","InvisibleComma","InvisibleTimes","Iogon","Iopf","Iscr","Itilde","Iukcy","Jcirc","Jcy","Jfr","Jopf","Jscr","Jsercy","Jukcy","KHcy","KJcy","Kcedil","Kcy","Kfr","Kopf","Kscr","LJcy","LT","Lacute","Lang","Laplacetrf","Larr","Lcaron","Lcedil","Lcy","LeftAngleBracket","LeftArrow","LeftArrowBar","LeftArrowRightArrow","LeftCeiling","LeftDoubleBracket","LeftDownTeeVector","LeftDownVector","LeftDownVectorBar","LeftFloor","LeftRightArrow","LeftRightVector","LeftTee","LeftTeeArrow","LeftTeeVector","LeftTriangle","LeftTriangleBar","LeftTriangleEqual","LeftUpDownVector","LeftUpTeeVector","LeftUpVector","LeftUpVectorBar","LeftVector","LeftVectorBar","Leftarrow","Leftrightarrow","LessEqualGreater","LessFullEqual","LessGreater","LessLess","LessSlantEqual","LessTilde","Lfr","Ll","Lleftarrow","Lmidot","LongLeftArrow","LongLeftRightArrow","LongRightArrow","Longleftarrow","Longleftrightarrow","Longrightarrow","Lopf","LowerLeftArrow","LowerRightArrow","Lscr","Lsh","Lstrok","Lt","Map","Mcy","MediumSpace","Mellintrf","Mfr","MinusPlus","Mopf","Mscr","NJcy","Nacute","Ncaron","Ncedil","Ncy","NegativeMediumSpace","NegativeThickSpace","NegativeThinSpace","NegativeVeryThinSpace","NestedGreaterGreater","NestedLessLess","Nfr","NoBreak","NonBreakingSpace","Nopf","Not","NotCongruent","NotCupCap","NotDoubleVerticalBar","NotElement","NotEqual","NotEqualTilde","NotExists","NotGreater","NotGreaterEqual","NotGreaterFullEqual","NotGreaterGreater","NotGreaterLess","NotGreaterSlantEqual","NotGreaterTilde","NotHumpDownHump","NotHumpEqual","NotLeftTriangle","NotLeftTriangleBar","NotLeftTriangleEqual","NotLess","NotLessEqual","NotLessGreater","NotLessLess","NotLessSlantEqual","NotLessTilde","NotNestedGreaterGreater","NotNestedLessLess","NotPrecedes","NotPrecedesEqual","NotPrecedesSlantEqual","NotReverseElement","NotRightTriangle","NotRightTriangleBar","NotRightTriangleEqual","NotSquareSubset","NotSquareSubsetEqual","NotSquareSuperset","NotSquareSupersetEqual","NotSubset","NotSubsetEqual","NotSucceeds","NotSucceedsEqual","NotSucceedsSlantEqual","NotSucceedsTilde","NotSuperset","NotSupersetEqual","NotTilde","NotTildeEqual","NotTildeFullEqual","NotTildeTilde","NotVerticalBar","Nscr","Ocy","Odblac","Ofr","Omacr","Oopf","OpenCurlyDoubleQuote","OpenCurlyQuote","Or","Oscr","Otimes","OverBar","OverBrace","OverBracket","OverParenthesis","PartialD","Pcy","Pfr","PlusMinus","Poincareplane","Popf","Pr","Precedes","PrecedesEqual","PrecedesSlantEqual","PrecedesTilde","Product","Proportion","Proportional","Pscr","QUOT","Qfr","Qopf","Qscr","RBarr","REG","Racute","Rang","Rarr","Rarrtl","Rcaron","Rcedil","Rcy","Re","ReverseElement","ReverseEquilibrium","ReverseUpEquilibrium","Rfr","RightAngleBracket","RightArrow","RightArrowBar","RightArrowLeftArrow","RightCeiling","RightDoubleBracket","RightDownTeeVector","RightDownVector","RightDownVectorBar","RightFloor","RightTee","RightTeeArrow","RightTeeVector","RightTriangle","RightTriangleBar","RightTriangleEqual","RightUpDownVector","RightUpTeeVector","RightUpVector","RightUpVectorBar","RightVector","RightVectorBar","Rightarrow","Ropf","RoundImplies","Rrightarrow","Rscr","Rsh","RuleDelayed","SHCHcy","SHcy","SOFTcy","Sacute","Sc","Scedil","Scirc","Scy","Sfr","ShortDownArrow","ShortLeftArrow","ShortRightArrow","ShortUpArrow","SmallCircle","Sopf","Sqrt","Square","SquareIntersection","SquareSubset","SquareSubsetEqual","SquareSuperset","SquareSupersetEqual","SquareUnion","Sscr","Star","Sub","Subset","SubsetEqual","Succeeds","SucceedsEqual","SucceedsSlantEqual","SucceedsTilde","SuchThat","Sum","Sup","Superset","SupersetEqual","Supset","TRADE","TSHcy","TScy","Tab","Tcaron","Tcedil","Tcy","Tfr","Therefore","ThickSpace","ThinSpace","Tilde","TildeEqual","TildeFullEqual","TildeTilde","Topf","TripleDot","Tscr","Tstrok","Uarr","Uarrocir","Ubrcy","Ubreve","Ucy","Udblac","Ufr","Umacr","UnderBrace","UnderBracket","UnderParenthesis","Union","UnionPlus","Uogon","Uopf","UpArrow","UpArrowBar","UpArrowDownArrow","UpDownArrow","UpEquilibrium","UpTee","UpTeeArrow","Uparrow","Updownarrow","UpperLeftArrow","UpperRightArrow","Upsi","Uring","Uscr","Utilde","VDash","Vbar","Vcy","Vdash","Vdashl","Vee","Verbar","Vert","VerticalBar","VerticalSeparator","VerticalTilde","VeryThinSpace","Vfr","Vopf","Vscr","Vvdash","Wcirc","Wedge","Wfr","Wopf","Wscr","Xfr","Xopf","Xscr","YAcy","YIcy","YUcy","Ycirc","Ycy","Yfr","Yopf","Yscr","ZHcy","Zacute","Zcaron","Zcy","Zdot","ZeroWidthSpace","Zfr","Zopf","Zscr","abreve","ac","acE","acd","acy","af","afr","aleph","amacr","amalg","andand","andd","andslope","andv","ange","angle","angmsd","angmsdaa","angmsdab","angmsdac","angmsdad","angmsdae","angmsdaf","angmsdag","angmsdah","angrt","angrtvb","angrtvbd","angsph","angst","angzarr","aogon","aopf","ap","apE","apacir","ape","apid","approx","approxeq","ascr","asympeq","awconint","awint","bNot","backcong","backepsilon","backprime","backsim","backsimeq","barvee","barwed","barwedge","bbrk","bbrktbrk","bcong","bcy","becaus","because","bemptyv","bepsi","bernou","beth","between","bfr","bigcap","bigcirc","bigcup","bigodot","bigoplus","bigotimes","bigsqcup","bigstar","bigtriangledown","bigtriangleup","biguplus","bigvee","bigwedge","bkarow","blacklozenge","blacksquare","blacktriangle","blacktriangledown","blacktriangleleft","blacktriangleright","blank","blk12","blk14","blk34","block","bne","bnequiv","bnot","bopf","bot","bottom","bowtie","boxDL","boxDR","boxDl","boxDr","boxH","boxHD","boxHU","boxHd","boxHu","boxUL","boxUR","boxUl","boxUr","boxV","boxVH","boxVL","boxVR","boxVh","boxVl","boxVr","boxbox","boxdL","boxdR","boxdl","boxdr","boxh","boxhD","boxhU","boxhd","boxhu","boxminus","boxplus","boxtimes","boxuL","boxuR","boxul","boxur","boxv","boxvH","boxvL","boxvR","boxvh","boxvl","boxvr","bprime","breve","bscr","bsemi","bsim","bsime","bsolb","bsolhsub","bullet","bump","bumpE","bumpe","bumpeq","cacute","capand","capbrcup","capcap","capcup","capdot","caps","caret","caron","ccaps","ccaron","ccirc","ccups","ccupssm","cdot","cemptyv","centerdot","cfr","chcy","check","checkmark","cir","cirE","circeq","circlearrowleft","circlearrowright","circledR","circledS","circledast","circledcirc","circleddash","cire","cirfnint","cirmid","cirscir","clubsuit","colone","coloneq","comp","compfn","complement","complexes","congdot","conint","copf","coprod","copysr","cross","cscr","csub","csube","csup","csupe","ctdot","cudarrl","cudarrr","cuepr","cuesc","cularr","cularrp","cupbrcap","cupcap","cupcup","cupdot","cupor","cups","curarr","curarrm","curlyeqprec","curlyeqsucc","curlyvee","curlywedge","curvearrowleft","curvearrowright","cuvee","cuwed","cwconint","cwint","cylcty","dHar","daleth","dash","dashv","dbkarow","dblac","dcaron","dcy","dd","ddagger","ddarr","ddotseq","demptyv","dfisht","dfr","dharl","dharr","diam","diamond","diamondsuit","die","digamma","disin","div","divideontimes","divonx","djcy","dlcorn","dlcrop","dopf","dot","doteq","doteqdot","dotminus","dotplus","dotsquare","doublebarwedge","downarrow","downdownarrows","downharpoonleft","downharpoonright","drbkarow","drcorn","drcrop","dscr","dscy","dsol","dstrok","dtdot","dtri","dtrif","duarr","duhar","dwangle","dzcy","dzigrarr","eDDot","eDot","easter","ecaron","ecir","ecolon","ecy","edot","ee","efDot","efr","eg","egs","egsdot","el","elinters","ell","els","elsdot","emacr","emptyset","emptyv","emsp13","emsp14","eng","eogon","eopf","epar","eparsl","eplus","epsi","epsiv","eqcirc","eqcolon","eqsim","eqslantgtr","eqslantless","equest","equivDD","eqvparsl","erDot","erarr","escr","esdot","esim","expectation","exponentiale","fallingdotseq","fcy","female","ffilig","fflig","ffllig","ffr","filig","flat","fllig","fltns","fopf","fork","forkv","fpartint","frac13","frac15","frac16","frac18","frac23","frac25","frac35","frac38","frac45","frac56","frac58","frac78","frown","fscr","gE","gEl","gacute","gammad","gap","gbreve","gcirc","gcy","gdot","gel","geq","geqq","geqslant","ges","gescc","gesdot","gesdoto","gesdotol","gesl","gesles","gfr","gg","ggg","gimel","gjcy","gl","glE","gla","glj","gnE","gnap","gnapprox","gne","gneq","gneqq","gnsim","gopf","grave","gscr","gsim","gsime","gsiml","gtcc","gtcir","gtdot","gtlPar","gtquest","gtrapprox","gtrarr","gtrdot","gtreqless","gtreqqless","gtrless","gtrsim","gvertneqq","gvnE","hairsp","half","hamilt","hardcy","harrcir","harrw","hbar","hcirc","heartsuit","hercon","hfr","hksearow","hkswarow","hoarr","homtht","hookleftarrow","hookrightarrow","hopf","horbar","hscr","hslash","hstrok","hybull","hyphen","ic","icy","iecy","iff","ifr","ii","iiiint","iiint","iinfin","iiota","ijlig","imacr","imagline","imagpart","imath","imof","imped","in","incare","infintie","inodot","intcal","integers","intercal","intlarhk","intprod","iocy","iogon","iopf","iprod","iscr","isinE","isindot","isins","isinsv","isinv","it","itilde","iukcy","jcirc","jcy","jfr","jmath","jopf","jscr","jsercy","jukcy","kappav","kcedil","kcy","kfr","kgreen","khcy","kjcy","kopf","kscr","lAarr","lAtail","lBarr","lE","lEg","lHar","lacute","laemptyv","lagran","langd","langle","lap","larrb","larrbfs","larrfs","larrhk","larrlp","larrpl","larrsim","larrtl","lat","latail","late","lates","lbarr","lbbrk","lbrace","lbrack","lbrke","lbrksld","lbrkslu","lcaron","lcedil","lcub","lcy","ldca","ldquor","ldrdhar","ldrushar","ldsh","leftarrow","leftarrowtail","leftharpoondown","leftharpoonup","leftleftarrows","leftrightarrow","leftrightarrows","leftrightharpoons","leftrightsquigarrow","leftthreetimes","leg","leq","leqq","leqslant","les","lescc","lesdot","lesdoto","lesdotor","lesg","lesges","lessapprox","lessdot","lesseqgtr","lesseqqgtr","lessgtr","lesssim","lfisht","lfr","lg","lgE","lhard","lharu","lharul","lhblk","ljcy","ll","llarr","llcorner","llhard","lltri","lmidot","lmoust","lmoustache","lnE","lnap","lnapprox","lne","lneq","lneqq","lnsim","loang","loarr","lobrk","longleftarrow","longleftrightarrow","longmapsto","longrightarrow","looparrowleft","looparrowright","lopar","lopf","loplus","lotimes","lozenge","lozf","lparlt","lrarr","lrcorner","lrhar","lrhard","lrtri","lscr","lsh","lsim","lsime","lsimg","lsquor","lstrok","ltcc","ltcir","ltdot","lthree","ltimes","ltlarr","ltquest","ltrPar","ltri","ltrie","ltrif","lurdshar","luruhar","lvertneqq","lvnE","mDDot","male","malt","maltese","map","mapsto","mapstodown","mapstoleft","mapstoup","marker","mcomma","mcy","measuredangle","mfr","mho","mid","midcir","minusb","minusd","minusdu","mlcp","mldr","mnplus","models","mopf","mp","mscr","mstpos","multimap","mumap","nGg","nGt","nGtv","nLeftarrow","nLeftrightarrow","nLl","nLt","nLtv","nRightarrow","nVDash","nVdash","nacute","nang","nap","napE","napid","napos","napprox","natur","natural","naturals","nbump","nbumpe","ncap","ncaron","ncedil","ncong","ncongdot","ncup","ncy","neArr","nearhk","nearr","nearrow","nedot","nequiv","nesear","nesim","nexist","nexists","nfr","ngE","nge","ngeq","ngeqq","ngeqslant","nges","ngsim","ngt","ngtr","nhArr","nharr","nhpar","nis","nisd","niv","njcy","nlArr","nlE","nlarr","nldr","nle","nleftarrow","nleftrightarrow","nleq","nleqq","nleqslant","nles","nless","nlsim","nlt","nltri","nltrie","nmid","nopf","notinE","notindot","notinva","notinvb","notinvc","notni","notniva","notnivb","notnivc","npar","nparallel","nparsl","npart","npolint","npr","nprcue","npre","nprec","npreceq","nrArr","nrarr","nrarrc","nrarrw","nrightarrow","nrtri","nrtrie","nsc","nsccue","nsce","nscr","nshortmid","nshortparallel","nsim","nsime","nsimeq","nsmid","nspar","nsqsube","nsqsupe","nsubE","nsube","nsubset","nsubseteq","nsubseteqq","nsucc","nsucceq","nsup","nsupE","nsupe","nsupset","nsupseteq","nsupseteqq","ntgl","ntlg","ntriangleleft","ntrianglelefteq","ntriangleright","ntrianglerighteq","numero","numsp","nvDash","nvHarr","nvap","nvdash","nvge","nvgt","nvinfin","nvlArr","nvle","nvlt","nvltrie","nvrArr","nvrtrie","nvsim","nwArr","nwarhk","nwarr","nwarrow","nwnear","oS","oast","ocir","ocy","odash","odblac","odiv","odot","odsold","ofcir","ofr","ogon","ogt","ohbar","ohm","oint","olarr","olcir","olcross","olt","omacr","omid","ominus","oopf","opar","operp","orarr","ord","order","orderof","origof","oror","orslope","orv","oscr","osol","otimesas","ovbar","par","parallel","parsim","parsl","pcy","pertenk","pfr","phiv","phmmat","phone","pitchfork","planck","planckh","plankv","plusacir","plusb","pluscir","plusdo","plusdu","pluse","plussim","plustwo","pm","pointint","popf","pr","prE","prap","prcue","pre","prec","precapprox","preccurlyeq","preceq","precnapprox","precneqq","precnsim","precsim","primes","prnE","prnap","prnsim","profalar","profline","profsurf","propto","prsim","prurel","pscr","puncsp","qfr","qint","qopf","qprime","qscr","quaternions","quatint","questeq","rAarr","rAtail","rBarr","rHar","race","racute","raemptyv","rangd","range","rangle","rarrap","rarrb","rarrbfs","rarrc","rarrfs","rarrhk","rarrlp","rarrpl","rarrsim","rarrtl","rarrw","ratail","ratio","rationals","rbarr","rbbrk","rbrke","rbrksld","rbrkslu","rcaron","rcedil","rcy","rdca","rdldhar","rdquor","rdsh","realine","realpart","reals","rect","rfisht","rfr","rhard","rharu","rharul","rhov","rightarrow","rightarrowtail","rightharpoondown","rightharpoonup","rightleftarrows","rightleftharpoons","rightrightarrows","rightsquigarrow","rightthreetimes","ring","risingdotseq","rlarr","rlhar","rmoust","rmoustache","rnmid","roang","roarr","robrk","ropar","ropf","roplus","rotimes","rpargt","rppolint","rrarr","rscr","rsh","rsquor","rthree","rtimes","rtri","rtrie","rtrif","rtriltri","ruluhar","rx","sacute","sc","scE","scap","sccue","sce","scedil","scirc","scnE","scnap","scnsim","scpolint","scsim","scy","sdotb","sdote","seArr","searhk","searr","searrow","seswar","setminus","setmn","sext","sfr","sfrown","sharp","shchcy","shcy","shortmid","shortparallel","sigmav","simdot","sime","simeq","simg","simgE","siml","simlE","simne","simplus","simrarr","slarr","smallsetminus","smashp","smeparsl","smid","smile","smt","smte","smtes","softcy","solb","solbar","sopf","spadesuit","spar","sqcap","sqcaps","sqcup","sqcups","sqsub","sqsube","sqsubset","sqsubseteq","sqsup","sqsupe","sqsupset","sqsupseteq","squ","square","squarf","squf","srarr","sscr","ssetmn","ssmile","sstarf","star","starf","straightepsilon","straightphi","strns","subE","subdot","subedot","submult","subnE","subne","subplus","subrarr","subset","subseteq","subseteqq","subsetneq","subsetneqq","subsim","subsub","subsup","succ","succapprox","succcurlyeq","succeq","succnapprox","succneqq","succnsim","succsim","sung","supE","supdot","supdsub","supedot","suphsol","suphsub","suplarr","supmult","supnE","supne","supplus","supset","supseteq","supseteqq","supsetneq","supsetneqq","supsim","supsub","supsup","swArr","swarhk","swarr","swarrow","swnwar","target","tbrk","tcaron","tcedil","tcy","tdot","telrec","tfr","therefore","thetav","thickapprox","thicksim","thkap","thksim","timesb","timesbar","timesd","tint","toea","top","topbot","topcir","topf","topfork","tosa","tprime","triangle","triangledown","triangleleft","trianglelefteq","triangleq","triangleright","trianglerighteq","tridot","trie","triminus","triplus","trisb","tritime","trpezium","tscr","tscy","tshcy","tstrok","twixt","twoheadleftarrow","twoheadrightarrow","uHar","ubrcy","ubreve","ucy","udarr","udblac","udhar","ufisht","ufr","uharl","uharr","uhblk","ulcorn","ulcorner","ulcrop","ultri","umacr","uogon","uopf","uparrow","updownarrow","upharpoonleft","upharpoonright","uplus","upsi","upuparrows","urcorn","urcorner","urcrop","uring","urtri","uscr","utdot","utilde","utri","utrif","uuarr","uwangle","vArr","vBar","vBarv","vDash","vangrt","varepsilon","varkappa","varnothing","varphi","varpi","varpropto","varr","varrho","varsigma","varsubsetneq","varsubsetneqq","varsupsetneq","varsupsetneqq","vartheta","vartriangleleft","vartriangleright","vcy","vdash","vee","veebar","veeeq","vellip","vfr","vltri","vnsub","vnsup","vopf","vprop","vrtri","vscr","vsubnE","vsubne","vsupnE","vsupne","vzigzag","wcirc","wedbar","wedge","wedgeq","wfr","wopf","wp","wr","wreath","wscr","xcap","xcirc","xcup","xdtri","xfr","xhArr","xharr","xlArr","xlarr","xmap","xnis","xodot","xopf","xoplus","xotime","xrArr","xrarr","xscr","xsqcup","xuplus","xutri","xvee","xwedge","yacy","ycirc","ycy","yfr","yicy","yopf","yscr","yucy","zacute","zcaron","zcy","zdot","zeetrf","zfr","zhcy","zigrarr","zopf","zscr"]),t=new Set(["abreve","ac","acd","ace","acy","af","afr","aleph","amacr","amalg","amp","and","andand","andd","andslope","andv","ange","angle","angmsd","angmsdaa","angmsdab","angmsdac","angmsdad","angmsdae","angmsdaf","angmsdag","angmsdah","angrt","angrtvb","angrtvbd","angsph","angst","angzarr","aogon","aopf","ap","apacir","ape","apid","applyfunction","approx","approxeq","ascr","assign","asympeq","awconint","awint","backcong","backepsilon","backprime","backsim","backsimeq","backslash","barv","barvee","barwed","barwedge","bbrk","bbrktbrk","bcong","bcy","becaus","because","bemptyv","bepsi","bernou","bernoullis","beth","between","bfr","bigcap","bigcirc","bigcup","bigodot","bigoplus","bigotimes","bigsqcup","bigstar","bigtriangledown","bigtriangleup","biguplus","bigvee","bigwedge","bkarow","blacklozenge","blacksquare","blacktriangle","blacktriangledown","blacktriangleleft","blacktriangleright","blank","blk12","blk14","blk34","block","bne","bnequiv","bnot","bopf","bot","bottom","bowtie","boxbox","boxdl","boxdr","boxh","boxhd","boxhu","boxminus","boxplus","boxtimes","boxul","boxur","boxv","boxvh","boxvl","boxvr","bprime","breve","bscr","bsemi","bsim","bsime","bsolb","bsolhsub","bullet","bump","bumpe","bumpeq","cacute","cap","capand","capbrcup","capcap","capcup","capdot","capitaldifferentiald","caps","caret","caron","cayleys","ccaps","ccaron","ccirc","cconint","ccups","ccupssm","cdot","cedilla","cemptyv","centerdot","cfr","chcy","check","checkmark","cir","circeq","circlearrowleft","circlearrowright","circledast","circledcirc","circleddash","circledot","circledr","circleds","circleminus","circleplus","circletimes","cire","cirfnint","cirmid","cirscir","clockwisecontourintegral","closecurlydoublequote","closecurlyquote","clubsuit","colon","colone","coloneq","comp","compfn","complement","complexes","congdot","congruent","conint","contourintegral","copf","coprod","coproduct","copy","copysr","counterclockwisecontourintegral","cross","cscr","csub","csube","csup","csupe","ctdot","cudarrl","cudarrr","cuepr","cuesc","cularr","cularrp","cup","cupbrcap","cupcap","cupcup","cupdot","cupor","cups","curarr","curarrm","curlyeqprec","curlyeqsucc","curlyvee","curlywedge","curvearrowleft","curvearrowright","cuvee","cuwed","cwconint","cwint","cylcty","daleth","darr","dash","dashv","dbkarow","dblac","dcaron","dcy","dd","ddagger","ddarr","ddotrahd","ddotseq","del","demptyv","dfisht","dfr","dhar","dharl","dharr","diacriticalacute","diacriticaldot","diacriticaldoubleacute","diacriticalgrave","diacriticaltilde","diam","diamond","diamondsuit","die","differentiald","digamma","disin","div","divideontimes","divonx","djcy","dlcorn","dlcrop","dopf","dot","dotdot","doteq","doteqdot","dotequal","dotminus","dotplus","dotsquare","doublebarwedge","doublecontourintegral","doubledot","doubledownarrow","doubleleftarrow","doubleleftrightarrow","doublelefttee","doublelongleftarrow","doublelongleftrightarrow","doublelongrightarrow","doublerightarrow","doublerighttee","doubleuparrow","doubleupdownarrow","doubleverticalbar","downarrow","downarrowbar","downarrowuparrow","downbreve","downdownarrows","downharpoonleft","downharpoonright","downleftrightvector","downleftteevector","downleftvector","downleftvectorbar","downrightteevector","downrightvector","downrightvectorbar","downtee","downteearrow","drbkarow","drcorn","drcrop","dscr","dscy","dsol","dstrok","dtdot","dtri","dtrif","duarr","duhar","dwangle","dzcy","dzigrarr","easter","ecaron","ecir","ecolon","ecy","eddot","edot","ee","efdot","efr","eg","egs","egsdot","el","element","elinters","ell","els","elsdot","emacr","emptyset","emptysmallsquare","emptyv","emptyverysmallsquare","emsp13","emsp14","eng","eogon","eopf","epar","eparsl","eplus","epsi","epsiv","eqcirc","eqcolon","eqsim","eqslantgtr","eqslantless","equal","equaltilde","equest","equilibrium","equivdd","eqvparsl","erarr","erdot","escr","esdot","esim","exists","expectation","exponentiale","fallingdotseq","fcy","female","ffilig","fflig","ffllig","ffr","filig","filledsmallsquare","filledverysmallsquare","flat","fllig","fltns","fopf","forall","fork","forkv","fouriertrf","fpartint","frac13","frac15","frac16","frac18","frac23","frac25","frac35","frac38","frac45","frac56","frac58","frac78","frown","fscr","gacute","gammad","gap","gbreve","gcedil","gcirc","gcy","gdot","ge","gel","geq","geqq","geqslant","ges","gescc","gesdot","gesdoto","gesdotol","gesl","gesles","gfr","gg","ggg","gimel","gjcy","gl","gla","gle","glj","gnap","gnapprox","gne","gneq","gneqq","gnsim","gopf","grave","greaterequal","greaterequalless","greaterfullequal","greatergreater","greaterless","greaterslantequal","greatertilde","gscr","gsim","gsime","gsiml","gt","gtcc","gtcir","gtdot","gtlpar","gtquest","gtrapprox","gtrarr","gtrdot","gtreqless","gtreqqless","gtrless","gtrsim","gvertneqq","gvne","hacek","hairsp","half","hamilt","hardcy","harrcir","harrw","hbar","hcirc","heartsuit","hercon","hfr","hilbertspace","hksearow","hkswarow","hoarr","homtht","hookleftarrow","hookrightarrow","hopf","horbar","horizontalline","hscr","hslash","hstrok","humpdownhump","humpequal","hybull","hyphen","ic","icy","idot","iecy","iff","ifr","ii","iiiint","iiint","iinfin","iiota","ijlig","im","imacr","imaginaryi","imagline","imagpart","imath","imof","imped","implies","in","incare","infintie","inodot","int","intcal","integers","integral","intercal","intersection","intlarhk","intprod","invisiblecomma","invisibletimes","iocy","iogon","iopf","iprod","iscr","isindot","isine","isins","isinsv","isinv","it","itilde","iukcy","jcirc","jcy","jfr","jmath","jopf","jscr","jsercy","jukcy","kappav","kcedil","kcy","kfr","kgreen","khcy","kjcy","kopf","kscr","laarr","lacute","laemptyv","lagran","lang","langd","langle","lap","laplacetrf","larr","larrb","larrbfs","larrfs","larrhk","larrlp","larrpl","larrsim","larrtl","lat","latail","late","lates","lbarr","lbbrk","lbrace","lbrack","lbrke","lbrksld","lbrkslu","lcaron","lcedil","lcub","lcy","ldca","ldquor","ldrdhar","ldrushar","ldsh","le","leftanglebracket","leftarrow","leftarrowbar","leftarrowrightarrow","leftarrowtail","leftceiling","leftdoublebracket","leftdownteevector","leftdownvector","leftdownvectorbar","leftfloor","leftharpoondown","leftharpoonup","leftleftarrows","leftrightarrow","leftrightarrows","leftrightharpoons","leftrightsquigarrow","leftrightvector","lefttee","leftteearrow","leftteevector","leftthreetimes","lefttriangle","lefttrianglebar","lefttriangleequal","leftupdownvector","leftupteevector","leftupvector","leftupvectorbar","leftvector","leftvectorbar","leg","leq","leqq","leqslant","les","lescc","lesdot","lesdoto","lesdotor","lesg","lesges","lessapprox","lessdot","lesseqgtr","lesseqqgtr","lessequalgreater","lessfullequal","lessgreater","lessgtr","lessless","lesssim","lessslantequal","lesstilde","lfisht","lfr","lg","lge","lhar","lhard","lharu","lharul","lhblk","ljcy","ll","llarr","llcorner","lleftarrow","llhard","lltri","lmidot","lmoust","lmoustache","lnap","lnapprox","lne","lneq","lneqq","lnsim","loang","loarr","lobrk","longleftarrow","longleftrightarrow","longmapsto","longrightarrow","looparrowleft","looparrowright","lopar","lopf","loplus","lotimes","lowerleftarrow","lowerrightarrow","lozenge","lozf","lparlt","lrarr","lrcorner","lrhar","lrhard","lrtri","lscr","lsh","lsim","lsime","lsimg","lsquor","lstrok","lt","ltcc","ltcir","ltdot","lthree","ltimes","ltlarr","ltquest","ltri","ltrie","ltrif","ltrpar","lurdshar","luruhar","lvertneqq","lvne","male","malt","maltese","map","mapsto","mapstodown","mapstoleft","mapstoup","marker","mcomma","mcy","mddot","measuredangle","mediumspace","mellintrf","mfr","mho","mid","midcir","minusb","minusd","minusdu","minusplus","mlcp","mldr","mnplus","models","mopf","mp","mscr","mstpos","multimap","mumap","nacute","nang","nap","nape","napid","napos","napprox","natur","natural","naturals","nbump","nbumpe","ncap","ncaron","ncedil","ncong","ncongdot","ncup","ncy","nearhk","nearr","nearrow","nedot","negativemediumspace","negativethickspace","negativethinspace","negativeverythinspace","nequiv","nesear","nesim","nestedgreatergreater","nestedlessless","nexist","nexists","nfr","nge","ngeq","ngeqq","ngeqslant","nges","ngg","ngsim","ngt","ngtr","ngtv","nharr","nhpar","nis","nisd","niv","njcy","nlarr","nldr","nle","nleftarrow","nleftrightarrow","nleq","nleqq","nleqslant","nles","nless","nll","nlsim","nlt","nltri","nltrie","nltv","nmid","nobreak","nonbreakingspace","nopf","not","notcongruent","notcupcap","notdoubleverticalbar","notelement","notequal","notequaltilde","notexists","notgreater","notgreaterequal","notgreaterfullequal","notgreatergreater","notgreaterless","notgreaterslantequal","notgreatertilde","nothumpdownhump","nothumpequal","notindot","notine","notinva","notinvb","notinvc","notlefttriangle","notlefttrianglebar","notlefttriangleequal","notless","notlessequal","notlessgreater","notlessless","notlessslantequal","notlesstilde","notnestedgreatergreater","notnestedlessless","notni","notniva","notnivb","notnivc","notprecedes","notprecedesequal","notprecedesslantequal","notreverseelement","notrighttriangle","notrighttrianglebar","notrighttriangleequal","notsquaresubset","notsquaresubsetequal","notsquaresuperset","notsquaresupersetequal","notsubset","notsubsetequal","notsucceeds","notsucceedsequal","notsucceedsslantequal","notsucceedstilde","notsuperset","notsupersetequal","nottilde","nottildeequal","nottildefullequal","nottildetilde","notverticalbar","npar","nparallel","nparsl","npart","npolint","npr","nprcue","npre","nprec","npreceq","nrarr","nrarrc","nrarrw","nrightarrow","nrtri","nrtrie","nsc","nsccue","nsce","nscr","nshortmid","nshortparallel","nsim","nsime","nsimeq","nsmid","nspar","nsqsube","nsqsupe","nsube","nsubset","nsubseteq","nsubseteqq","nsucc","nsucceq","nsup","nsupe","nsupset","nsupseteq","nsupseteqq","ntgl","ntlg","ntriangleleft","ntrianglelefteq","ntriangleright","ntrianglerighteq","numero","numsp","nvap","nvdash","nvge","nvgt","nvharr","nvinfin","nvlarr","nvle","nvlt","nvltrie","nvrarr","nvrtrie","nvsim","nwarhk","nwarr","nwarrow","nwnear","oast","ocir","ocy","odash","odblac","odiv","odot","odsold","ofcir","ofr","ogon","ogt","ohbar","ohm","oint","olarr","olcir","olcross","olt","omacr","omid","ominus","oopf","opar","opencurlydoublequote","opencurlyquote","operp","or","orarr","ord","order","orderof","origof","oror","orslope","orv","os","oscr","osol","otimes","otimesas","ovbar","overbar","overbrace","overbracket","overparenthesis","par","parallel","parsim","parsl","partiald","pcy","pertenk","pfr","phiv","phmmat","phone","pitchfork","planck","planckh","plankv","plusacir","plusb","pluscir","plusdo","plusdu","pluse","plusminus","plussim","plustwo","pm","poincareplane","pointint","popf","pr","prap","prcue","pre","prec","precapprox","preccurlyeq","precedes","precedesequal","precedesslantequal","precedestilde","preceq","precnapprox","precneqq","precnsim","precsim","primes","prnap","prne","prnsim","product","profalar","profline","profsurf","proportion","proportional","propto","prsim","prurel","pscr","puncsp","qfr","qint","qopf","qprime","qscr","quaternions","quatint","questeq","quot","raarr","race","racute","raemptyv","rang","rangd","range","rangle","rarr","rarrap","rarrb","rarrbfs","rarrc","rarrfs","rarrhk","rarrlp","rarrpl","rarrsim","rarrtl","rarrw","ratail","ratio","rationals","rbarr","rbbrk","rbrke","rbrksld","rbrkslu","rcaron","rcedil","rcy","rdca","rdldhar","rdquor","rdsh","re","realine","realpart","reals","rect","reg","reverseelement","reverseequilibrium","reverseupequilibrium","rfisht","rfr","rhar","rhard","rharu","rharul","rhov","rightanglebracket","rightarrow","rightarrowbar","rightarrowleftarrow","rightarrowtail","rightceiling","rightdoublebracket","rightdownteevector","rightdownvector","rightdownvectorbar","rightfloor","rightharpoondown","rightharpoonup","rightleftarrows","rightleftharpoons","rightrightarrows","rightsquigarrow","righttee","rightteearrow","rightteevector","rightthreetimes","righttriangle","righttrianglebar","righttriangleequal","rightupdownvector","rightupteevector","rightupvector","rightupvectorbar","rightvector","rightvectorbar","ring","risingdotseq","rlarr","rlhar","rmoust","rmoustache","rnmid","roang","roarr","robrk","ropar","ropf","roplus","rotimes","roundimplies","rpargt","rppolint","rrarr","rrightarrow","rscr","rsh","rsquor","rthree","rtimes","rtri","rtrie","rtrif","rtriltri","ruledelayed","ruluhar","rx","sacute","sc","scap","sccue","sce","scedil","scirc","scnap","scne","scnsim","scpolint","scsim","scy","sdotb","sdote","searhk","searr","searrow","seswar","setminus","setmn","sext","sfr","sfrown","sharp","shchcy","shcy","shortdownarrow","shortleftarrow","shortmid","shortparallel","shortrightarrow","shortuparrow","sigmav","simdot","sime","simeq","simg","simge","siml","simle","simne","simplus","simrarr","slarr","smallcircle","smallsetminus","smashp","smeparsl","smid","smile","smt","smte","smtes","softcy","solb","solbar","sopf","spadesuit","spar","sqcap","sqcaps","sqcup","sqcups","sqrt","sqsub","sqsube","sqsubset","sqsubseteq","sqsup","sqsupe","sqsupset","sqsupseteq","squ","square","squareintersection","squaresubset","squaresubsetequal","squaresuperset","squaresupersetequal","squareunion","squarf","squf","srarr","sscr","ssetmn","ssmile","sstarf","star","starf","straightepsilon","straightphi","strns","sub","subdot","sube","subedot","submult","subne","subplus","subrarr","subset","subseteq","subseteqq","subsetequal","subsetneq","subsetneqq","subsim","subsub","subsup","succ","succapprox","succcurlyeq","succeeds","succeedsequal","succeedsslantequal","succeedstilde","succeq","succnapprox","succneqq","succnsim","succsim","suchthat","sum","sung","sup","supdot","supdsub","supe","supedot","superset","supersetequal","suphsol","suphsub","suplarr","supmult","supne","supplus","supset","supseteq","supseteqq","supsetneq","supsetneqq","supsim","supsub","supsup","swarhk","swarr","swarrow","swnwar","tab","target","tbrk","tcaron","tcedil","tcy","tdot","telrec","tfr","therefore","thetav","thickapprox","thicksim","thickspace","thinspace","thkap","thksim","tilde","tildeequal","tildefullequal","tildetilde","timesb","timesbar","timesd","tint","toea","top","topbot","topcir","topf","topfork","tosa","tprime","trade","triangle","triangledown","triangleleft","trianglelefteq","triangleq","triangleright","trianglerighteq","tridot","trie","triminus","tripledot","triplus","trisb","tritime","trpezium","tscr","tscy","tshcy","tstrok","twixt","twoheadleftarrow","twoheadrightarrow","uarr","uarrocir","ubrcy","ubreve","ucy","udarr","udblac","udhar","ufisht","ufr","uhar","uharl","uharr","uhblk","ulcorn","ulcorner","ulcrop","ultri","umacr","underbrace","underbracket","underparenthesis","union","unionplus","uogon","uopf","uparrow","uparrowbar","uparrowdownarrow","updownarrow","upequilibrium","upharpoonleft","upharpoonright","uplus","upperleftarrow","upperrightarrow","upsi","uptee","upteearrow","upuparrows","urcorn","urcorner","urcrop","uring","urtri","uscr","utdot","utilde","utri","utrif","uuarr","uwangle","vangrt","varepsilon","varkappa","varnothing","varphi","varpi","varpropto","varr","varrho","varsigma","varsubsetneq","varsubsetneqq","varsupsetneq","varsupsetneqq","vartheta","vartriangleleft","vartriangleright","vbar","vbarv","vcy","vdash","vdashl","vee","veebar","veeeq","vellip","verbar","vert","verticalbar","verticalseparator","verticaltilde","verythinspace","vfr","vltri","vnsub","vnsup","vopf","vprop","vrtri","vscr","vsubne","vsupne","vvdash","vzigzag","wcirc","wedbar","wedge","wedgeq","wfr","wopf","wp","wr","wreath","wscr","xcap","xcirc","xcup","xdtri","xfr","xharr","xlarr","xmap","xnis","xodot","xopf","xoplus","xotime","xrarr","xscr","xsqcup","xuplus","xutri","xvee","xwedge","yacy","ycirc","ycy","yfr","yicy","yopf","yscr","yucy","zacute","zcaron","zcy","zdot","zeetrf","zerowidthspace","zfr","zhcy","zigrarr","zopf","zscr"]),a=2,o=31;export{r as notEmailFriendly,t as notEmailFriendlyLowercaseSetOnly,o as notEmailFriendlyMaxLength,a as notEmailFriendlyMinLength,e as notEmailFriendlySetOnly};
